Name:          minizip2
Version:       3.0.10
Release:       2mamba
Summary:       A zip manipulation library written in C
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/zlib-ng/minizip-ng
Source:        https://github.com/nmoinvaz/minizip.git/%{version}/minizip-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: liblzma-devel
BuildRequires: libopenssl-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
minizip is a zip manipulation library written in C.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n minizip-%{version}

%build
%cmake -d build \
   -DMZ_PROJECT_SUFFIX=2 \
   -DCMAKE_INSTALL_INCLUDEDIR=include/minizip2

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libminizip2.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/minizip2
%{_includedir}/minizip2/*.h
%dir %{_libdir}/cmake/minizip2
%{_libdir}/cmake/minizip2/minizip*.cmake
%{_libdir}/libminizip2.so
%{_libdir}/pkgconfig/minizip2.pc
%doc README.md


%changelog
* Sun Aug 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.10-2mamba
- legacy package

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sun Jan 01 2023 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Fri Apr 29 2022 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Thu Dec 02 2021 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Wed Sep 08 2021 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Oct 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-2mamba
- rebuilt with project suffix 2

* Tue Sep 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-1mamba
- package created using the webbuild interface
